.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    margin-top: 30px;
    padding: 0 10px;
    z-index: 100;
}

.header__wrap {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin-left: 25px;
}

.header__container {
    border-radius: var(--border-radius);
    border: 1px solid var(--light-color);
    color: var(--dark-color);
    padding: 14px 22px;
    min-height: 70px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #ffffffcc;
    backdrop-filter: blur(15px);
    transition: all ease .3s;
}

.header__container:hover {
    box-shadow: 2px 2px 15px #ffffff38;
}


header .navigation__menu {
    display: flex;
    align-items: center;
}

header .navigation__link {
    padding: 5px 10px;
    color: var(--dark-color);
    transition: .2s all ease;
    border-radius: 3px;
}

header .navigation__link:hover {
    color: var(--primary-color);
    background: #33aaff2b;
}

.header__address {
    color: var(--primary-color);
    display: flex;
    align-items: center;
    gap: 15px;
}

.header__address::after {
    content: "";
    width: 18px;
    height: 18px;
    background-image: url("/src/assets/img/icons/navigator.png");
    background-position: center;
    background-size: cover;
    display: inline-block;
    transition: all ease .3s;
}

.header__address:hover::after {
    transform: rotate(20deg);
}

.header__contacts {
    display: flex;
    align-items: center;
    gap: 30px;
}

.messengers {
    display: flex;
    align-items: center;
    gap: 0px;
}

.messengers__item-image:first-child {
    margin-right: -5px;
}

.header__phone-number {
    background: var(--primary-color);
    border: 1px solid var(--primary-color);
    padding: 4px 10px;
    color: var(--light-color);
    border-radius: 3px;
    font-size: 1.5rem;
    font-weight: 600;
    transition: all ease .3s;
}

.header__phone-number:hover {
    color: var(--primary-color);
    background: var(--light-color);
}

.header__call-mobile {
    display: none;
}

.header__burger {
    display: none;
}

.header__wrap-header {
    display: none;
}

.header__mobile-actions {
    display: flex;
    align-items: center;
    gap: 15px;
}

@media (max-width:1200px) {
    .header {
        margin-top: 10px;
    }

    .header__call-mobile {
        width: 50px;
        aspect-ratio: 1;
        background: #fff;
        border-radius: var(--small-border-radius);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .header__call-mobile img {
        width: 29px;
        aspect-ratio: 1;
    }

    .header__container {
        padding: 8px;
    }

    .header__wrap {
        opacity: 0;
        pointer-events: none;
        position: absolute;
        visibility: hidden;
        position: fixed;
        top: -10px;
        right: -10px;
        width: 60%;
        height: 100dvh;
        display: flex;
        flex-direction: column;
        background: var(--light-color);
        justify-content: flex-start;
        padding: 90px 20px 70px 20px;
        transform: translateX(100%);
        transition: all ease .3s;
        margin: 0;
    }

    .header__wrap-header{
        display: block;
        position: absolute;
        top: 3%;
        left: 20px;
    }

    .header__wrap.active {
        opacity: 1;
        visibility: visible;
        pointer-events: all;
        transform: translateX(0%);
    }

    .header__wrap .navigation {
        width: 100%;
        margin-bottom: auto;
    }

    .header__wrap .navigation__menu {
        flex-direction: column;
        width: 100%;
        gap: 15px;
    }

    .header__wrap .navigation__item {
        width: 100%;
    }

    .header__wrap .navigation__link {
        width: 100%;
        padding: 20px;
        display: block;
        text-align: center;
        border: 1px solid var(--light-border-color);
        border-radius: var(--small-border-radius);
    }

    .header__address {
        margin-bottom: 30px;
    }

    .header__burger {
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 10px;
        width: 50px;
        aspect-ratio: 1;
        border: 1px solid var(--light-color);
        border-radius: 5px;
        background: var(--light-color);
        z-index: 100;
    }

    .header__burger.active {
        border: 1px solid var(--primary-color);
    }

    .header__burger span {
        transition: all ease .3s;
    }

    .header__burger.active span:nth-child(1){
        position: absolute;
        transform: rotateZ(135deg);
    }
    .header__burger.active span:nth-child(2){
        transform: scale(0);
    }
    .header__burger.active span:nth-child(3){
        position: absolute;
        transform: rotateZ(-135deg);
    }

    .header__burger span {
        display: block;
        width: 60%;
        border-radius: 5px;
        height: 2px;
        background: var(--primary-color);
    }

}

@media (max-width:560px) {
    .header__wrap.active {
        top: -10px;
        right: -10px;
        width: calc(100% + 21px);
    }

    .header__contacts {
        flex-direction: column-reverse;
    }
}
